- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 08b57133-333b-4807-85f7-cd841ddcd3e0
    creation_time: 2023-02-17T12:14:20.139392Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark04_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark04_conjunctive.c: 0f05c589421d8e3d6b7f849625b36aa3dbfd97a1290fcfe4bd84327e66cb8d62
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark04_conjunctive.c
    file_hash: 0f05c589421d8e3d6b7f849625b36aa3dbfd97a1290fcfe4bd84327e66cb8d62
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: j <= n && n <= k+j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b0562479-569a-4937-b44e-dcd722b45773
    creation_time: 2023-02-17T12:14:20.139677Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark04_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark04_conjunctive.c: 0f05c589421d8e3d6b7f849625b36aa3dbfd97a1290fcfe4bd84327e66cb8d62
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark04_conjunctive.c
    file_hash: 0f05c589421d8e3d6b7f849625b36aa3dbfd97a1290fcfe4bd84327e66cb8d62
    line: 34
    column: 0
    function: main
  location_invariant:
    string: k >= 0
    type: assertion
    format: C

